## org.eclipse.uml2.uml
Interface OpaqueAction

All Superinterfaces:
  Action, ActivityNode, Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, ExecutableNode, NamedElement, org.eclipse.emf.common.notify.Notifier, RedefinableElement

    public interface OpaqueAction

extends Action

A representation of the model object 'Opaque Action'. An action with implementation-specific semantics.

The following features are supported:

- `Body`
- `Language`
- `Input Value`
- `Output Value`

See Also:
  `UMLPackage.getOpaqueAction()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`InputPin` `createInputValue(java.lang.String name, Type type)` Creates a new `InputPin`, with the specified 'Name', and 'Type', and appends it to the 'Input Value' containment reference list
`InputPin` `createInputValue(java.lang.String name, Type type, org.eclipse.emf.ecore.EClass eClass)` Creates a new `InputPin`, with the specified 'Name', and 'Type', and appends it to the 'Input Value' containment reference list
`OutputPin` `createOutputValue(java.lang.String name, Type type)` Creates a new `OutputPin`, with the specified 'Name', and 'Type', and appends it to the 'Output Value' containment reference list
`org.eclipse.emf.common.util.EList<java.lang.String>` `getBodies()` Returns the value of the 'Body' attribute list.
`InputPin` `getInputValue(java.lang.String name, Type type)` Retrieves the first `InputPin` with the specified 'Name', and 'Type' from the 'Input Value' containment reference list
`InputPin` `getInputValue(java.lang.String name, Type type, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass)` Retrieves the first `InputPin` with the specified 'Name', and 'Type' from the 'Input Value' reference list
`InputPin` `getInputValue(java.lang.String name, Type type, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass, boolean createOnDemand)` Retrieves the first `InputPin` with the specified 'Name', and 'Type' from the 'Input Value' containment reference list
`org.eclipse.emf.common.util.EList<InputPin>` `getInputValues()` Returns the value of the 'Input Value' containment reference list.
`org.eclipse.emf.common.util.EList<java.lang.String>` `getLanguages()` Returns the value of the 'Language' attribute list.
`OutputPin` `getOutputValue(java.lang.String name, Type type)` Retrieves the first `OutputPin` with the specified 'Name', and 'Type' from the 'Output Value' containment reference list
`OutputPin` `getOutputValue(java.lang.String name, Type type, boolean ignoreCase)` Retrieves the first `OutputPin` with the specified 'Name', and 'Type' from the 'Output Value' reference list
`OutputPin` `getOutputValue(java.lang.String name, Type type, boolean ignoreCase, boolean createOnDemand)` Retrieves the first `OutputPin` with the specified 'Name', and 'Type' from the 'Output Value' containment reference list
`org.eclipse.emf.common.util.EList<OutputPin>` `getOutputValues()` Returns the value of the 'Output Value' containment reference list.
`boolean` `isSetBodies()` Returns whether the value of the '`Body`' attribute list is set
`boolean` `isSetLanguages()` Returns whether the value of the '`Language`' attribute list is set
`void` `unsetBodies()` Unsets the value of the '`Body`' attribute list
`void` `unsetLanguages()` Unsets the value of the '`Language`' attribute list

Methods inherited from interface org.eclipse.uml2.uml.Action
`createLocalPostcondition, createLocalPostcondition, createLocalPrecondition, createLocalPrecondition, getContext, getInput, getInput, getInputs, getLocalPostcondition, getLocalPostcondition, getLocalPostconditions, getLocalPrecondition, getLocalPrecondition, getLocalPreconditions, getOutput, getOutput, getOutputs`

Methods inherited from interface org.eclipse.uml2.uml.ExecutableNode
`createHandler, getHandlers`

Methods inherited from interface org.eclipse.uml2.uml.ActivityNode
`getActivity, getIncoming, getIncoming, getIncomings, getInGroups, getInInterruptibleRegions, getInPartition, getInPartition, getInPartitions, getInStructuredNode, getOutgoing, getOutgoing, getOutgoings, getRedefinedNode, getRedefinedNode, getRedefinedNodes, setActivity, setInStructuredNode, validateOwned, validateOwnedStructuredNode`

Methods inherited from interface org.eclipse.uml2.uml.RedefinableElement
`getRedefinedElement, getRedefinedElement, getRedefinedElements, getRedefinitionContext, getRedefinitionContext, getRedefinitionContexts, isConsistentWith, isLeaf, isRedefinitionContextValid, setIsLeaf, validateRedefinitionConsistent, validateRedefinitionContextValid`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getBodies

    org.eclipse.emf.common.util.EList<java.lang.String> getBodies()

  Returns the value of the 'Body' attribute list. The list contents are of type `String`. Specifies the action in one or more languages.

  Returns:
    the value of the 'Body' attribute list.
  See Also:
    `isSetBodies()`, `unsetBodies()`, `UMLPackage.getOpaqueAction_Body()`

### unsetBodies

    void unsetBodies()

  Unsets the value of the '`Body`' attribute list.

  See Also:
    `isSetBodies()`, `getBodies()`

### isSetBodies

    boolean isSetBodies()

  Returns whether the value of the '`Body`' attribute list is set.

  Returns:
    whether the value of the 'Body' attribute list is set.
  See Also:
    `unsetBodies()`, `getBodies()`

### getLanguages

    org.eclipse.emf.common.util.EList<java.lang.String> getLanguages()

  Returns the value of the 'Language' attribute list. The list contents are of type `String`. Languages the body strings use, in the same order as the body strings

  Returns:
    the value of the 'Language' attribute list.
  See Also:
    `isSetLanguages()`, `unsetLanguages()`, `UMLPackage.getOpaqueAction_Language()`

### unsetLanguages

    void unsetLanguages()

  Unsets the value of the '`Language`' attribute list.

  See Also:
    `isSetLanguages()`, `getLanguages()`

### isSetLanguages

    boolean isSetLanguages()

  Returns whether the value of the '`Language`' attribute list is set.

  Returns:
    whether the value of the 'Language' attribute list is set.
  See Also:
    `unsetLanguages()`, `getLanguages()`

### getInputValues

    org.eclipse.emf.common.util.EList<InputPin> getInputValues()

  Returns the value of the 'Input Value' containment reference list. The list contents are of type `InputPin`.

  This feature subsets the following features:

  - '`Input`'
  Provides input to the action.

  Returns:
    the value of the 'Input Value' containment reference list.
  See Also:
    `UMLPackage.getOpaqueAction_InputValue()`

### createInputValue

    InputPin createInputValue(java.lang.String name,
                              Type type,
                              org.eclipse.emf.ecore.EClass eClass)

  Creates a new `InputPin`, with the specified 'Name', and 'Type', and appends it to the 'Input Value' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `InputPin`, or `null`.
    `type` - The 'Type' for the new `InputPin`, or `null`.
    `eClass` - The Ecore class of the `InputPin` to create.
  Returns:
    The new `InputPin`.
  See Also:
    `getInputValues()`

### createInputValue

    InputPin createInputValue(java.lang.String name,
                              Type type)

  Creates a new `InputPin`, with the specified 'Name', and 'Type', and appends it to the 'Input Value' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `InputPin`, or `null`.
    `type` - The 'Type' for the new `InputPin`, or `null`.
  Returns:
    The new `InputPin`.
  See Also:
    `getInputValues()`

### getInputValue

    InputPin getInputValue(java.lang.String name,
                           Type type)

  Retrieves the first `InputPin` with the specified 'Name', and 'Type' from the 'Input Value' containment reference list.

  Parameters:
    `name` - The 'Name' of the `InputPin` to retrieve, or `null`.
    `type` - The 'Type' of the `InputPin` to retrieve, or `null`.
  Returns:
    The first `InputPin` with the specified 'Name', and 'Type', or `null`.
  See Also:
    `getInputValues()`

### getInputValue

    InputPin getInputValue(java.lang.String name,
                           Type type,
                           boolean ignoreCase,
                           org.eclipse.emf.ecore.EClass eClass,
                           boolean createOnDemand)

  Retrieves the first `InputPin` with the specified 'Name', and 'Type' from the 'Input Value' containment reference list.

  Parameters:
    `name` - The 'Name' of the `InputPin` to retrieve, or `null`.
    `type` - The 'Type' of the `InputPin` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `InputPin` to retrieve, or `null`.
    `createOnDemand` - Whether to create a `InputPin` on demand if not found.
  Returns:
    The first `InputPin` with the specified 'Name', and 'Type', or `null`.
  See Also:
    `getInputValues()`

### getInputValue

    InputPin getInputValue(java.lang.String name,
                           Type type,
                           boolean ignoreCase,
                           org.eclipse.emf.ecore.EClass eClass)

  Retrieves the first `InputPin` with the specified 'Name', and 'Type' from the 'Input Value' reference list.

  Parameters:
    `name` - The 'Name' of the `InputPin` to retrieve, or `null`.
    `type` - The 'Type' of the `InputPin` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `InputPin` to retrieve, or `null`.
  Returns:
    The first `InputPin` with the specified 'Name', and 'Type', or `null`.
  See Also:
    `getInputValues()`

### getOutputValues

    org.eclipse.emf.common.util.EList<OutputPin> getOutputValues()

  Returns the value of the 'Output Value' containment reference list. The list contents are of type `OutputPin`.

  This feature subsets the following features:

  - '`Output`'
  Takes output from the action.

  Returns:
    the value of the 'Output Value' containment reference list.
  See Also:
    `UMLPackage.getOpaqueAction_OutputValue()`

### createOutputValue

    OutputPin createOutputValue(java.lang.String name,
                                Type type)

  Creates a new `OutputPin`, with the specified 'Name', and 'Type', and appends it to the 'Output Value' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `OutputPin`, or `null`.
    `type` - The 'Type' for the new `OutputPin`, or `null`.
  Returns:
    The new `OutputPin`.
  See Also:
    `getOutputValues()`

### getOutputValue

    OutputPin getOutputValue(java.lang.String name,
                             Type type)

  Retrieves the first `OutputPin` with the specified 'Name', and 'Type' from the 'Output Value' containment reference list.

  Parameters:
    `name` - The 'Name' of the `OutputPin` to retrieve, or `null`.
    `type` - The 'Type' of the `OutputPin` to retrieve, or `null`.
  Returns:
    The first `OutputPin` with the specified 'Name', and 'Type', or `null`.
  See Also:
    `getOutputValues()`

### getOutputValue

    OutputPin getOutputValue(java.lang.String name,
                             Type type,
                             boolean ignoreCase,
                             boolean createOnDemand)

  Retrieves the first `OutputPin` with the specified 'Name', and 'Type' from the 'Output Value' containment reference list.

  Parameters:
    `name` - The 'Name' of the `OutputPin` to retrieve, or `null`.
    `type` - The 'Type' of the `OutputPin` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `createOnDemand` - Whether to create a `OutputPin` on demand if not found.
  Returns:
    The first `OutputPin` with the specified 'Name', and 'Type', or `null`.
  See Also:
    `getOutputValues()`

### getOutputValue

    OutputPin getOutputValue(java.lang.String name,
                             Type type,
                             boolean ignoreCase)

  Retrieves the first `OutputPin` with the specified 'Name', and 'Type' from the 'Output Value' reference list.

  Parameters:
    `name` - The 'Name' of the `OutputPin` to retrieve, or `null`.
    `type` - The 'Type' of the `OutputPin` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
  Returns:
    The first `OutputPin` with the specified 'Name', and 'Type', or `null`.
  See Also:
    `getOutputValues()`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.